IPSW-IDEV-DIAG-MG(1)

NAME
ipsw-idev-diag-mg - Query MobileGestalt

SYNOPSIS
ipsw idev diag mg [flags]

DESCRIPTION
Query MobileGestalt

OPTIONS
-h, --help[=false]
    help for mg

-k, --keys=[]
    Keys to retrieve (can be csv)

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-u, --udid=""
    Device UniqueDeviceID to connect to

-V, --verbose[=false]
    verbose output

EXAMPLE
    ❯ ipsw idev diag mg -k SupplementalBuildVersion,ProductVersionExtra | jq .
    	{
    		"status": "Success",
    		"diagnostics": {
    		  "MobileGestalt": {
    			"ProductVersionExtra": "(a)",
    			"Status": "Success",
    			"SupplementalBuildVersion": "20C7750490e"
    		  }
    		}
    	  }

SEE ALSO
ipsw-idev-diag(1)

HISTORY
26-Feb-2025 Auto generated by spf13/cobra